// pages/history/detail.js
const app = getApp();
import QRCode from '../../utils/weapp-qrcode';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    height: app.globalData.height * 2 + 25,
    windowHeight: app.globalData.windowHeight,
    navbarData: {
      name: '点餐详情',
    },
    logo: '',
    tenant: '',
    meal: {},
    info: {},
    show: false,
  },
  showQR() {
    this.setData({ show: true });
  },
  clearQR() {
    this.setData({ show: false });
  },
  noop() {},
  // 返回
  back: function () {
    wx.reLaunch({
      url: `/pages/history/index?openid=${app.globalData.wxInfo.openid}`,
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.searchST();
    const { id, label, date } = options;
    // let id = '60d3ed0c55bc8a3b58245b73';
    // let label = '午餐';
    // let date = '2021-06-25';
    this.setData({ info: { label, date } });
    this.getMeal(id);
    this.initQrCode(id);
  },

  async getMeal(id) {
    const res = await app.$get(`/order/getMeal/${id}`);
    if (res.data.errcode !== 0) return;
    let arr = res.data.data;
    arr = this.dealImg(arr);
    this.setData({ meal: arr });
    // wx.request({
    //   url: `${app.globalData.publicUrl}/api/st/dining/order/getMeal/${id}`,
    //   method: 'GET',
    //   success: (res) => {
    //     if (res.data.errcode !== 0) return;
    //     let arr = res.data.data;
    //     arr = this.dealImg(arr);
    //     this.setData({ meal: arr });
    //   },
    //   error: (e) => {
    //     console.error(e);
    //   },
    // });
  },
  dealImg(list) {
    for (let i of list.list) {
      if (i.img && i.img.length > 0 && i.img[0]) i.url = `${app.globalData.fileUrl}${i.img[0].url}`;
      else i.url = this.data.logo;
    }
    return list;
  },
  searchST: async function () {
    const res = await app.$get('/config');
    const logo = `${res.data.logo[0].url || ''}`;
    this.setData({ logo });

    // wx.request({
    //   url: `${app.globalData.publicUrl}/api/st/system/tenant/getTenant/${app.globalData.tenant}`,
    //   method: 'get',
    //   data: {},
    //   success: (res) => {
    //     const { data } = res.data;
    //     this.setData({ tenant: data.name });
    //     this.setData({ logo: `${app.globalData.fileUrl}` + data.img.logo });
    //   },
    //   error: (err) => {
    //     wx.showToast({
    //       title: err.msg,
    //       icon: 'error',
    //     });
    //   },
    // });
  },
  // 创建二维码
  initQrCode(id) {
    const url = `/order/useMeal/${id}`;
    // const url = `${app.globalData.publicUrl}/api/st/dining/order/useMeal/${id}`;
    var qrcode = new QRCode(`myQrcode`, {
      text: url,
      width: 130,
      height: 130,
      padding: 3,
      colorDark: '#000000',
      colorLight: '#ffffff',
      correctLevel: QRCode.CorrectLevel.L,
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
});
